Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Aaron Jensen <[email-masked]>
Date: Thu, 24 May 2018 04:06:19 -0700

On Thu, May 24, 2018 at 3:53 AM Aaron Jensen <[email-masked]> wrote:
> The attached patch fixes this, which fixes my originally reported problem.
> Given that it impacts a use of child-frames and it's relatively minor I'd
> propose that it gets applied to emacs 26 (probably after 26.1 release?) if
> it's acceptable.

Hm, it appears that it fixes the issue when the last visible line is
clicked, but if 'frame-resize-pixelwise' is non-nil and a partially visible
line is clicked it still scrolls to make that line fully visible even if
the buffer does not extend to that line. Perhaps it would also be useful to
prevent attempting to scroll into view a line that the buffer does not
extend to?

To be clear, I believe the previous patch still fixes a bug, it just
doesn't completely eradicate this unnecessary scrolling on click.